<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm)" class="loginForm">
    <input class="loginInput" type="text" ngModel #username="ngModel" name="username" id="username"/>
    <button type="submit">Login</button>
</form>